Delete agent configuration Base URL https://{kibana_url} DELETE /api/apm/settings/agent-configuration Auth Delete an existing agent configuration. You must have all privileges for the APM and User Experience feature in Kibana. When successful, the configuration is removed and, if Fleet is enabled, APM package policies are synchronized accordingly. Expand all Header parameters elastic-api-version enum · default: 2023-10-31 required The version of the API to use Values: 2023-10-31 kbn-xsrf string required A required header to protect against CSRF attacks Request body { } service object required Service − Hide 2 properties environment string The environment of the service. name string The name of the service. Responses 200 Successful response application/json result string Result 400 Bad Request response application/json error string Error type message string Error message statusCode number Error status code 401 Unauthorized response application/json error string Error type message string Error message statusCode number Error status code 403 Forbidden response application/json error string Error type message string Error message statusCode number Error status code 404 Not found response application/json error string Error type message string Error message statusCode number Error status code